// Code generated by protoc-gen-gogo. DO NOT EDIT.
// source: sip/resources/resources.proto

package resources

import (
	fmt "fmt"
	math "math"
	proto "github.com/golang/protobuf/proto"
	_ "github.com/mwitkow/go-proto-validators"
	_ "google.golang.org/protobuf/types/known/emptypb"
	_ "google.golang.org/protobuf/types/known/fieldmaskpb"
	_ "google.golang.org/protobuf/types/known/timestamppb"
	regexp "regexp"
	github_com_mwitkow_go_proto_validators "github.com/mwitkow/go-proto-validators"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

var _regex_GroupBasedScope_GroupName = regexp.MustCompile(`^groups/vseth-([a-zA-Z0-9]{1,10}-){1,}([a-zA-Z0-9]{1,10})$`)

func (this *GroupBasedScope) Validate() error {
	if !_regex_GroupBasedScope_GroupName.MatchString(this.GroupName) {
		return github_com_mwitkow_go_proto_validators.FieldError("GroupName", fmt.Errorf(`value '%v' must be a string conforming to regex "^groups/vseth-([a-zA-Z0-9]{1,10}-){1,}([a-zA-Z0-9]{1,10})$"`, this.GroupName))
	}
	for _, item := range this.Scopes {
		if _, ok := GroupSpecificScope_name[int32(item)]; !ok {
			return github_com_mwitkow_go_proto_validators.FieldError("Scopes", fmt.Errorf(`value '%v' must be a valid GroupSpecificScope field`, item))
		}
	}
	return nil
}

var _regex_AuthorizationRole_Name = regexp.MustCompile(`^authorizationroles/[0-9a-z-]{3,20}$`)
var _regex_AuthorizationRole_DisplayName = regexp.MustCompile(`^[a-zA-Z ]{5,20}$`)

func (this *AuthorizationRole) Validate() error {
	if !_regex_AuthorizationRole_Name.MatchString(this.Name) {
		return github_com_mwitkow_go_proto_validators.FieldError("Name", fmt.Errorf(`value '%v' must be a string conforming to regex "^authorizationroles/[0-9a-z-]{3,20}$"`, this.Name))
	}
	if !_regex_AuthorizationRole_DisplayName.MatchString(this.DisplayName) {
		return github_com_mwitkow_go_proto_validators.FieldError("DisplayName", fmt.Errorf(`value '%v' must be a string conforming to regex "^[a-zA-Z ]{5,20}$"`, this.DisplayName))
	}
	for _, item := range this.GlobalScopes {
		if _, ok := GlobalScope_name[int32(item)]; !ok {
			return github_com_mwitkow_go_proto_validators.FieldError("GlobalScopes", fmt.Errorf(`value '%v' must be a valid GlobalScope field`, item))
		}
	}
	for _, item := range this.GroupBasedScope {
		if item != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(item); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("GroupBasedScope", err)
			}
		}
	}
	return nil
}
func (this *ListAuthorizationRolesResponse) Validate() error {
	for _, item := range this.Roles {
		if item != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(item); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("Roles", err)
			}
		}
	}
	return nil
}

var _regex_ResourceTypeInfo_Name = regexp.MustCompile(`^resourcetypes/[0-9]{1,3}$`)
var _regex_ResourceTypeInfo_DisplayName = regexp.MustCompile(`^[ -~ -ÿ]{3,100}$`)
var _regex_ResourceTypeInfo_Description = regexp.MustCompile(`^[ -~ -ÿ]{10,500}$`)
var _regex_ResourceTypeInfo_DocumentationUrl = regexp.MustCompile(`^https://.*`)
var _regex_ResourceTypeInfo_IconUrl = regexp.MustCompile(`https://.*`)

func (this *ResourceTypeInfo) Validate() error {
	if !_regex_ResourceTypeInfo_Name.MatchString(this.Name) {
		return github_com_mwitkow_go_proto_validators.FieldError("Name", fmt.Errorf(`value '%v' must be a string conforming to regex "^resourcetypes/[0-9]{1,3}$"`, this.Name))
	}
	if _, ok := ResourceType_name[int32(this.ResourceType)]; !ok {
		return github_com_mwitkow_go_proto_validators.FieldError("ResourceType", fmt.Errorf(`value '%v' must be a valid ResourceType field`, this.ResourceType))
	}
	if !_regex_ResourceTypeInfo_DisplayName.MatchString(this.DisplayName) {
		return github_com_mwitkow_go_proto_validators.FieldError("DisplayName", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{3,100}$"`, this.DisplayName))
	}
	if !_regex_ResourceTypeInfo_Description.MatchString(this.Description) {
		return github_com_mwitkow_go_proto_validators.FieldError("Description", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{10,500}$"`, this.Description))
	}
	if !_regex_ResourceTypeInfo_DocumentationUrl.MatchString(this.DocumentationUrl) {
		return github_com_mwitkow_go_proto_validators.FieldError("DocumentationUrl", fmt.Errorf(`value '%v' must be a string conforming to regex "^https://.*"`, this.DocumentationUrl))
	}
	if !_regex_ResourceTypeInfo_IconUrl.MatchString(this.IconUrl) {
		return github_com_mwitkow_go_proto_validators.FieldError("IconUrl", fmt.Errorf(`value '%v' must be a string conforming to regex "https://.*"`, this.IconUrl))
	}
	for _, item := range this.ResourceRoles {
		if item != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(item); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("ResourceRoles", err)
			}
		}
	}
	return nil
}

var _regex_ResourceTypeInfo_ResourceRole_Name = regexp.MustCompile(`^resourcetypes/[0-9]{1,3}/roles/[a-zA-Z0-9-_]{2,50}`)
var _regex_ResourceTypeInfo_ResourceRole_DisplayName = regexp.MustCompile(`^[ -~ -ÿ]{1,100}$`)
var _regex_ResourceTypeInfo_ResourceRole_Description = regexp.MustCompile(`^[ -~ -ÿ]{8,500}$`)

func (this *ResourceTypeInfo_ResourceRole) Validate() error {
	if !_regex_ResourceTypeInfo_ResourceRole_Name.MatchString(this.Name) {
		return github_com_mwitkow_go_proto_validators.FieldError("Name", fmt.Errorf(`value '%v' must be a string conforming to regex "^resourcetypes/[0-9]{1,3}/roles/[a-zA-Z0-9-_]{2,50}"`, this.Name))
	}
	if !_regex_ResourceTypeInfo_ResourceRole_DisplayName.MatchString(this.DisplayName) {
		return github_com_mwitkow_go_proto_validators.FieldError("DisplayName", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{1,100}$"`, this.DisplayName))
	}
	if !_regex_ResourceTypeInfo_ResourceRole_Description.MatchString(this.Description) {
		return github_com_mwitkow_go_proto_validators.FieldError("Description", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{8,500}$"`, this.Description))
	}
	return nil
}
func (this *ListResourceTypesResponse) Validate() error {
	for _, item := range this.ResourceTypes {
		if item != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(item); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("ResourceTypes", err)
			}
		}
	}
	return nil
}
func (this *DateRange) Validate() error {
	if oneOfNester, ok := this.GetFrom().(*DateRange_TimestampFrom); ok {
		if oneOfNester.TimestampFrom != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.TimestampFrom); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("TimestampFrom", err)
			}
		}
	}
	if oneOfNester, ok := this.GetUntil().(*DateRange_TimestampUntil); ok {
		if oneOfNester.TimestampUntil != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.TimestampUntil); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("TimestampUntil", err)
			}
		}
	}
	return nil
}

var _regex_ResourcePermission_PrincipalName = regexp.MustCompile(`^(users/[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}|groups/vseth-([a-zA-Z0-9]{1,10}-){1,}([a-zA-Z0-9]{1,10}))$`)
var _regex_ResourcePermission_ResourceRole = regexp.MustCompile(`^resourcetypes/[0-9]{1,3}/roles/[a-zA-Z0-9-_]{2,50}`)

func (this *ResourcePermission) Validate() error {
	if !_regex_ResourcePermission_PrincipalName.MatchString(this.PrincipalName) {
		return github_com_mwitkow_go_proto_validators.FieldError("PrincipalName", fmt.Errorf(`value '%v' must be a string conforming to regex "^(users/[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}|groups/vseth-([a-zA-Z0-9]{1,10}-){1,}([a-zA-Z0-9]{1,10}))$"`, this.PrincipalName))
	}
	if _, ok := ResourcePermission_PrincipalType_name[int32(this.PrincipalType)]; !ok {
		return github_com_mwitkow_go_proto_validators.FieldError("PrincipalType", fmt.Errorf(`value '%v' must be a valid ResourcePermission_PrincipalType field`, this.PrincipalType))
	}
	if !_regex_ResourcePermission_ResourceRole.MatchString(this.ResourceRole) {
		return github_com_mwitkow_go_proto_validators.FieldError("ResourceRole", fmt.Errorf(`value '%v' must be a string conforming to regex "^resourcetypes/[0-9]{1,3}/roles/[a-zA-Z0-9-_]{2,50}"`, this.ResourceRole))
	}
	if this.CreateTime != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.CreateTime); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("CreateTime", err)
		}
	}
	if this.UpdateTime != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.UpdateTime); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("UpdateTime", err)
		}
	}
	return nil
}

var _regex_ResourcePermission_Filter_Name = regexp.MustCompile(`(^$|^resources/[0-9]+/permissions/[0-9]+$)`)
var _regex_ResourcePermission_Filter_PrincipalName = regexp.MustCompile(`(^$|^(users/[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}|groups/vseth-([a-zA-Z0-9]{1,10}-){1,}([a-zA-Z0-9]{1,10}))$)`)
var _regex_ResourcePermission_Filter_ResourceRole = regexp.MustCompile(`(^$|^resourcetypes/[0-9]{1,3}/roles/[a-zA-Z0-9-_]{2,50}$)`)

func (this *ResourcePermission_Filter) Validate() error {
	if !_regex_ResourcePermission_Filter_Name.MatchString(this.Name) {
		return github_com_mwitkow_go_proto_validators.FieldError("Name", fmt.Errorf(`value '%v' must be a string conforming to regex "(^$|^resources/[0-9]+/permissions/[0-9]+$)"`, this.Name))
	}
	if !_regex_ResourcePermission_Filter_PrincipalName.MatchString(this.PrincipalName) {
		return github_com_mwitkow_go_proto_validators.FieldError("PrincipalName", fmt.Errorf(`value '%v' must be a string conforming to regex "(^$|^(users/[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}|groups/vseth-([a-zA-Z0-9]{1,10}-){1,}([a-zA-Z0-9]{1,10}))$)"`, this.PrincipalName))
	}
	if _, ok := ResourcePermission_PrincipalType_name[int32(this.PrincipalType)]; !ok {
		return github_com_mwitkow_go_proto_validators.FieldError("PrincipalType", fmt.Errorf(`value '%v' must be a valid ResourcePermission_PrincipalType field`, this.PrincipalType))
	}
	if !_regex_ResourcePermission_Filter_ResourceRole.MatchString(this.ResourceRole) {
		return github_com_mwitkow_go_proto_validators.FieldError("ResourceRole", fmt.Errorf(`value '%v' must be a string conforming to regex "(^$|^resourcetypes/[0-9]{1,3}/roles/[a-zA-Z0-9-_]{2,50}$)"`, this.ResourceRole))
	}
	if _, ok := ResourcePermission_Filter_SortBy_name[int32(this.SortBy)]; !ok {
		return github_com_mwitkow_go_proto_validators.FieldError("SortBy", fmt.Errorf(`value '%v' must be a valid ResourcePermission_Filter_SortBy field`, this.SortBy))
	}
	return nil
}
func (this *ListResourcePermissionsRequest) Validate() error {
	if this.Filter != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.Filter); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("Filter", err)
		}
	}
	return nil
}
func (this *ListResourcePermissionsResponse) Validate() error {
	for _, item := range this.Permissions {
		if item != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(item); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("Permissions", err)
			}
		}
	}
	return nil
}

var _regex_CreateResourcePermissionRequest_AuditMessage = regexp.MustCompile(`^[ -~ -ÿ]{10,512}$`)

func (this *CreateResourcePermissionRequest) Validate() error {
	if this.Permission != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.Permission); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("Permission", err)
		}
	}
	if !_regex_CreateResourcePermissionRequest_AuditMessage.MatchString(this.AuditMessage) {
		return github_com_mwitkow_go_proto_validators.FieldError("AuditMessage", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{10,512}$"`, this.AuditMessage))
	}
	return nil
}

var _regex_DeleteResourcePermissionRequest_AuditMessage = regexp.MustCompile(`^[ -~ -ÿ]{10,512}$`)

func (this *DeleteResourcePermissionRequest) Validate() error {
	if !_regex_DeleteResourcePermissionRequest_AuditMessage.MatchString(this.AuditMessage) {
		return github_com_mwitkow_go_proto_validators.FieldError("AuditMessage", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{10,512}$"`, this.AuditMessage))
	}
	return nil
}
func (this *ValidationError) Validate() error {
	return nil
}
func (this *ValidateDBResponse) Validate() error {
	for _, item := range this.Problems {
		if item != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(item); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("Problems", err)
			}
		}
	}
	return nil
}

var _regex_Resource_OwnerGroup = regexp.MustCompile(`^groups/vseth-([a-zA-Z0-9]{1,10}-){1,}([a-zA-Z0-9]{1,10})$`)
var _regex_Resource_DisplayName = regexp.MustCompile(`^[ -~ -ÿ]{3,100}$`)
var _regex_Resource_Description = regexp.MustCompile(`^[ -~ -ÿ]{8,500}$`)

func (this *Resource) Validate() error {
	if !_regex_Resource_OwnerGroup.MatchString(this.OwnerGroup) {
		return github_com_mwitkow_go_proto_validators.FieldError("OwnerGroup", fmt.Errorf(`value '%v' must be a string conforming to regex "^groups/vseth-([a-zA-Z0-9]{1,10}-){1,}([a-zA-Z0-9]{1,10})$"`, this.OwnerGroup))
	}
	if _, ok := ResourceType_name[int32(this.ResourceType)]; !ok {
		return github_com_mwitkow_go_proto_validators.FieldError("ResourceType", fmt.Errorf(`value '%v' must be a valid ResourceType field`, this.ResourceType))
	}
	if this.CreateTime != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.CreateTime); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("CreateTime", err)
		}
	}
	if this.UpdateTime != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.UpdateTime); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("UpdateTime", err)
		}
	}
	if !_regex_Resource_DisplayName.MatchString(this.DisplayName) {
		return github_com_mwitkow_go_proto_validators.FieldError("DisplayName", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{3,100}$"`, this.DisplayName))
	}
	if !_regex_Resource_Description.MatchString(this.Description) {
		return github_com_mwitkow_go_proto_validators.FieldError("Description", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{8,500}$"`, this.Description))
	}
	if _, ok := ResourceState_name[int32(this.ResourceState)]; !ok {
		return github_com_mwitkow_go_proto_validators.FieldError("ResourceState", fmt.Errorf(`value '%v' must be a valid ResourceState field`, this.ResourceState))
	}
	for _, item := range this.Permissions {
		if item != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(item); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("Permissions", err)
			}
		}
	}
	for _, item := range this.Changes {
		if item != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(item); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("Changes", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_MailGlobal); ok {
		if oneOfNester.MailGlobal != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.MailGlobal); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("MailGlobal", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_MailService); ok {
		if oneOfNester.MailService != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.MailService); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("MailService", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_MailDistributionList); ok {
		if oneOfNester.MailDistributionList != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.MailDistributionList); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("MailDistributionList", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_MailSharedMailbox); ok {
		if oneOfNester.MailSharedMailbox != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.MailSharedMailbox); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("MailSharedMailbox", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_MailContact); ok {
		if oneOfNester.MailContact != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.MailContact); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("MailContact", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_EthIamGroup); ok {
		if oneOfNester.EthIamGroup != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.EthIamGroup); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("EthIamGroup", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_MailSympa); ok {
		if oneOfNester.MailSympa != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.MailSympa); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("MailSympa", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_GsuiteSharedDrive); ok {
		if oneOfNester.GsuiteSharedDrive != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.GsuiteSharedDrive); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("GsuiteSharedDrive", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_ConfluenceSpace); ok {
		if oneOfNester.ConfluenceSpace != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.ConfluenceSpace); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("ConfluenceSpace", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_GitlabGroup); ok {
		if oneOfNester.GitlabGroup != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.GitlabGroup); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("GitlabGroup", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_GroupTag); ok {
		if oneOfNester.GroupTag != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.GroupTag); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("GroupTag", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_KeycloakClient); ok {
		if oneOfNester.KeycloakClient != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.KeycloakClient); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("KeycloakClient", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_NasStorageFolder); ok {
		if oneOfNester.NasStorageFolder != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.NasStorageFolder); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("NasStorageFolder", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_GoogleCalendar); ok {
		if oneOfNester.GoogleCalendar != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.GoogleCalendar); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("GoogleCalendar", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_OfficeKey); ok {
		if oneOfNester.OfficeKey != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.OfficeKey); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("OfficeKey", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_KubernetesPermission); ok {
		if oneOfNester.KubernetesPermission != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.KubernetesPermission); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("KubernetesPermission", err)
			}
		}
	}
	if oneOfNester, ok := this.GetDetails().(*Resource_MailSpecialUserConfiguration); ok {
		if oneOfNester.MailSpecialUserConfiguration != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(oneOfNester.MailSpecialUserConfiguration); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("MailSpecialUserConfiguration", err)
			}
		}
	}
	return nil
}

var _regex_Resource_Filter_Name = regexp.MustCompile(`($^|^resources/[0-9]+$)`)
var _regex_Resource_Filter_OwnerGroup = regexp.MustCompile(`(^$|^groups/vseth-([a-zA-Z0-9]{1,10}-){1,}([a-zA-Z0-9]{1,10})$)`)
var _regex_Resource_Filter_DisplayName = regexp.MustCompile(`(^$|^[ -~ -ÿ]{3,100}$)`)

func (this *Resource_Filter) Validate() error {
	if !_regex_Resource_Filter_Name.MatchString(this.Name) {
		return github_com_mwitkow_go_proto_validators.FieldError("Name", fmt.Errorf(`value '%v' must be a string conforming to regex "($^|^resources/[0-9]+$)"`, this.Name))
	}
	if !_regex_Resource_Filter_OwnerGroup.MatchString(this.OwnerGroup) {
		return github_com_mwitkow_go_proto_validators.FieldError("OwnerGroup", fmt.Errorf(`value '%v' must be a string conforming to regex "(^$|^groups/vseth-([a-zA-Z0-9]{1,10}-){1,}([a-zA-Z0-9]{1,10})$)"`, this.OwnerGroup))
	}
	if _, ok := ResourceType_name[int32(this.ResourceType)]; !ok {
		return github_com_mwitkow_go_proto_validators.FieldError("ResourceType", fmt.Errorf(`value '%v' must be a valid ResourceType field`, this.ResourceType))
	}
	if !_regex_Resource_Filter_DisplayName.MatchString(this.DisplayName) {
		return github_com_mwitkow_go_proto_validators.FieldError("DisplayName", fmt.Errorf(`value '%v' must be a string conforming to regex "(^$|^[ -~\u00a0-ÿ]{3,100}$)"`, this.DisplayName))
	}
	if _, ok := ResourceState_name[int32(this.ResourceState)]; !ok {
		return github_com_mwitkow_go_proto_validators.FieldError("ResourceState", fmt.Errorf(`value '%v' must be a valid ResourceState field`, this.ResourceState))
	}
	for _, item := range this.Permissions {
		if item != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(item); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("Permissions", err)
			}
		}
	}
	if _, ok := Resource_Filter_SortBy_name[int32(this.SortBy)]; !ok {
		return github_com_mwitkow_go_proto_validators.FieldError("SortBy", fmt.Errorf(`value '%v' must be a valid Resource_Filter_SortBy field`, this.SortBy))
	}
	return nil
}
func (this *ListResourcesRequest) Validate() error {
	if this.Filter != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.Filter); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("Filter", err)
		}
	}
	return nil
}
func (this *ListResourcesResponse) Validate() error {
	for _, item := range this.Resources {
		if item != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(item); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("Resources", err)
			}
		}
	}
	return nil
}
func (this *GetResourceRequest) Validate() error {
	return nil
}

var _regex_CreateResourceRequest_AuditMessage = regexp.MustCompile(`^[ -~ -ÿ]{10,512}$`)

func (this *CreateResourceRequest) Validate() error {
	if this.Resource != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.Resource); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("Resource", err)
		}
	}
	if !_regex_CreateResourceRequest_AuditMessage.MatchString(this.AuditMessage) {
		return github_com_mwitkow_go_proto_validators.FieldError("AuditMessage", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{10,512}$"`, this.AuditMessage))
	}
	return nil
}

var _regex_UpdateResourceRequest_AuditMessage = regexp.MustCompile(`^[ -~ -ÿ]{10,512}$`)

func (this *UpdateResourceRequest) Validate() error {
	if this.Resource != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.Resource); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("Resource", err)
		}
	}
	if !_regex_UpdateResourceRequest_AuditMessage.MatchString(this.AuditMessage) {
		return github_com_mwitkow_go_proto_validators.FieldError("AuditMessage", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{10,512}$"`, this.AuditMessage))
	}
	if this.UpdateMask != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.UpdateMask); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("UpdateMask", err)
		}
	}
	return nil
}

var _regex_DeleteResourceRequest_AuditMessage = regexp.MustCompile(`^[ -~ -ÿ]{10,512}$`)

func (this *DeleteResourceRequest) Validate() error {
	if !_regex_DeleteResourceRequest_AuditMessage.MatchString(this.AuditMessage) {
		return github_com_mwitkow_go_proto_validators.FieldError("AuditMessage", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{10,512}$"`, this.AuditMessage))
	}
	return nil
}
func (this *ProposedChange) Validate() error {
	if this.Data != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.Data); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("Data", err)
		}
	}
	if this.CreateTime != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.CreateTime); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("CreateTime", err)
		}
	}
	if this.UpdateTime != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.UpdateTime); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("UpdateTime", err)
		}
	}
	if this.FinishTime != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.FinishTime); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("FinishTime", err)
		}
	}
	return nil
}

var _regex_ProposedChange_Filter_Name = regexp.MustCompile(`(^proposedchanges/[0-9]+$)`)
var _regex_ProposedChange_Filter_ResourceName = regexp.MustCompile(`($^|^resources/[0-9]+$)`)

func (this *ProposedChange_Filter) Validate() error {
	if !_regex_ProposedChange_Filter_Name.MatchString(this.Name) {
		return github_com_mwitkow_go_proto_validators.FieldError("Name", fmt.Errorf(`value '%v' must be a string conforming to regex "(^proposedchanges/[0-9]+$)"`, this.Name))
	}
	if !_regex_ProposedChange_Filter_ResourceName.MatchString(this.ResourceName) {
		return github_com_mwitkow_go_proto_validators.FieldError("ResourceName", fmt.Errorf(`value '%v' must be a string conforming to regex "($^|^resources/[0-9]+$)"`, this.ResourceName))
	}
	if _, ok := ProposedChange_Filter_SortBy_name[int32(this.SortBy)]; !ok {
		return github_com_mwitkow_go_proto_validators.FieldError("SortBy", fmt.Errorf(`value '%v' must be a valid ProposedChange_Filter_SortBy field`, this.SortBy))
	}
	return nil
}
func (this *ListProposedChangesRequest) Validate() error {
	if this.Filter != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.Filter); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("Filter", err)
		}
	}
	return nil
}
func (this *ListProposedChangesResponse) Validate() error {
	for _, item := range this.Changes {
		if item != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(item); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("Changes", err)
			}
		}
	}
	return nil
}

var _regex_CreateProposedChangeRequest_AuditMessage = regexp.MustCompile(`^[ -~ -ÿ]{10,512}$`)

func (this *CreateProposedChangeRequest) Validate() error {
	if this.Change != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.Change); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("Change", err)
		}
	}
	if !_regex_CreateProposedChangeRequest_AuditMessage.MatchString(this.AuditMessage) {
		return github_com_mwitkow_go_proto_validators.FieldError("AuditMessage", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{10,512}$"`, this.AuditMessage))
	}
	return nil
}

var _regex_UpdateProposedChangeRequest_AuditMessage = regexp.MustCompile(`^[ -~ -ÿ]{10,512}$`)

func (this *UpdateProposedChangeRequest) Validate() error {
	if this.Change != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.Change); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("Change", err)
		}
	}
	if !_regex_UpdateProposedChangeRequest_AuditMessage.MatchString(this.AuditMessage) {
		return github_com_mwitkow_go_proto_validators.FieldError("AuditMessage", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{10,512}$"`, this.AuditMessage))
	}
	if this.UpdateMask != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.UpdateMask); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("UpdateMask", err)
		}
	}
	return nil
}

var _regex_DeleteProposedChangeRequest_AuditMessage = regexp.MustCompile(`^[ -~ -ÿ]{10,512}$`)

func (this *DeleteProposedChangeRequest) Validate() error {
	if !_regex_DeleteProposedChangeRequest_AuditMessage.MatchString(this.AuditMessage) {
		return github_com_mwitkow_go_proto_validators.FieldError("AuditMessage", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{10,512}$"`, this.AuditMessage))
	}
	return nil
}

var _regex_AuditLogEntry_UserName = regexp.MustCompile(`^users/[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$`)
var _regex_AuditLogEntry_AuditMessage = regexp.MustCompile(`^[ -~ -ÿ]{10,512}$`)

func (this *AuditLogEntry) Validate() error {
	if this.CreateTime != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.CreateTime); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("CreateTime", err)
		}
	}
	if !_regex_AuditLogEntry_UserName.MatchString(this.UserName) {
		return github_com_mwitkow_go_proto_validators.FieldError("UserName", fmt.Errorf(`value '%v' must be a string conforming to regex "^users/[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$"`, this.UserName))
	}
	if !_regex_AuditLogEntry_AuditMessage.MatchString(this.AuditMessage) {
		return github_com_mwitkow_go_proto_validators.FieldError("AuditMessage", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{10,512}$"`, this.AuditMessage))
	}
	return nil
}

var _regex_AuditLogEntry_Filter_Name = regexp.MustCompile(`(^audits/[0-9]+$)`)
var _regex_AuditLogEntry_Filter_ResourceName = regexp.MustCompile(`($^|^resources/[0-9]+$)`)
var _regex_AuditLogEntry_Filter_PermissionName = regexp.MustCompile(`(^$|^resources/[0-9]+/permissions/[0-9]+$)`)
var _regex_AuditLogEntry_Filter_ChangeName = regexp.MustCompile(`(^proposedchanges/[0-9]+$)`)
var _regex_AuditLogEntry_Filter_UserName = regexp.MustCompile(`^users/[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$`)
var _regex_AuditLogEntry_Filter_AuditMessage = regexp.MustCompile(`^[ -~ -ÿ]{3,512}$`)

func (this *AuditLogEntry_Filter) Validate() error {
	if !_regex_AuditLogEntry_Filter_Name.MatchString(this.Name) {
		return github_com_mwitkow_go_proto_validators.FieldError("Name", fmt.Errorf(`value '%v' must be a string conforming to regex "(^audits/[0-9]+$)"`, this.Name))
	}
	if !_regex_AuditLogEntry_Filter_ResourceName.MatchString(this.ResourceName) {
		return github_com_mwitkow_go_proto_validators.FieldError("ResourceName", fmt.Errorf(`value '%v' must be a string conforming to regex "($^|^resources/[0-9]+$)"`, this.ResourceName))
	}
	if !_regex_AuditLogEntry_Filter_PermissionName.MatchString(this.PermissionName) {
		return github_com_mwitkow_go_proto_validators.FieldError("PermissionName", fmt.Errorf(`value '%v' must be a string conforming to regex "(^$|^resources/[0-9]+/permissions/[0-9]+$)"`, this.PermissionName))
	}
	if !_regex_AuditLogEntry_Filter_ChangeName.MatchString(this.ChangeName) {
		return github_com_mwitkow_go_proto_validators.FieldError("ChangeName", fmt.Errorf(`value '%v' must be a string conforming to regex "(^proposedchanges/[0-9]+$)"`, this.ChangeName))
	}
	if !_regex_AuditLogEntry_Filter_UserName.MatchString(this.UserName) {
		return github_com_mwitkow_go_proto_validators.FieldError("UserName", fmt.Errorf(`value '%v' must be a string conforming to regex "^users/[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$"`, this.UserName))
	}
	if !_regex_AuditLogEntry_Filter_AuditMessage.MatchString(this.AuditMessage) {
		return github_com_mwitkow_go_proto_validators.FieldError("AuditMessage", fmt.Errorf(`value '%v' must be a string conforming to regex "^[ -~\u00a0-ÿ]{3,512}$"`, this.AuditMessage))
	}
	if _, ok := AuditLogEntry_Filter_SortBy_name[int32(this.SortBy)]; !ok {
		return github_com_mwitkow_go_proto_validators.FieldError("SortBy", fmt.Errorf(`value '%v' must be a valid AuditLogEntry_Filter_SortBy field`, this.SortBy))
	}
	return nil
}
func (this *ListAuditLogRequest) Validate() error {
	if this.Filter != nil {
		if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(this.Filter); err != nil {
			return github_com_mwitkow_go_proto_validators.FieldError("Filter", err)
		}
	}
	return nil
}
func (this *ListAuditLogResponse) Validate() error {
	for _, item := range this.Entry {
		if item != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(item); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("Entry", err)
			}
		}
	}
	return nil
}

var _regex_MailServiceResource_OrgPrefix = regexp.MustCompile(`^[a-z]{3,9}$`)
var _regex_MailServiceResource_DisplayNameSuffix = regexp.MustCompile(`(^$|^[a-zA-Z]{3,15}$)`)

func (this *MailServiceResource) Validate() error {
	if !_regex_MailServiceResource_OrgPrefix.MatchString(this.OrgPrefix) {
		return github_com_mwitkow_go_proto_validators.FieldError("OrgPrefix", fmt.Errorf(`value '%v' must be a string conforming to regex "^[a-z]{3,9}$"`, this.OrgPrefix))
	}
	if _, ok := MailboxQuota_name[int32(this.MailboxQuota)]; !ok {
		return github_com_mwitkow_go_proto_validators.FieldError("MailboxQuota", fmt.Errorf(`value '%v' must be a valid MailboxQuota field`, this.MailboxQuota))
	}
	if _, ok := MailboxQuota_name[int32(this.SharedMailboxQuota)]; !ok {
		return github_com_mwitkow_go_proto_validators.FieldError("SharedMailboxQuota", fmt.Errorf(`value '%v' must be a valid MailboxQuota field`, this.SharedMailboxQuota))
	}
	if len(this.Domains) > 5 {
		return github_com_mwitkow_go_proto_validators.FieldError("Domains", fmt.Errorf(`value '%v' must contain at most 5 elements`, this.Domains))
	}
	for _, item := range this.Domains {
		if item != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(item); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("Domains", err)
			}
		}
	}
	if !_regex_MailServiceResource_DisplayNameSuffix.MatchString(this.DisplayNameSuffix) {
		return github_com_mwitkow_go_proto_validators.FieldError("DisplayNameSuffix", fmt.Errorf(`value '%v' must be a string conforming to regex "(^$|^[a-zA-Z]{3,15}$)"`, this.DisplayNameSuffix))
	}
	return nil
}

var _regex_MailServiceResource_MailDomainInfo_Domain = regexp.MustCompile(`^[a-z-]{2,15}\.(ch|org|ethz\.ch|vseth\.ch)$`)
var _regex_MailServiceResource_MailDomainInfo_AliasDomains = regexp.MustCompile(`^[a-z-]{2,15}\.(ch|org|ethz\.ch|vseth\.ch)$`)

func (this *MailServiceResource_MailDomainInfo) Validate() error {
	if !_regex_MailServiceResource_MailDomainInfo_Domain.MatchString(this.Domain) {
		return github_com_mwitkow_go_proto_validators.FieldError("Domain", fmt.Errorf(`value '%v' must be a string conforming to regex "^[a-z-]{2,15}\\.(ch|org|ethz\\.ch|vseth\\.ch)$"`, this.Domain))
	}
	if len(this.AliasDomains) > 5 {
		return github_com_mwitkow_go_proto_validators.FieldError("AliasDomains", fmt.Errorf(`value '%v' must contain at most 5 elements`, this.AliasDomains))
	}
	for _, item := range this.AliasDomains {
		if !_regex_MailServiceResource_MailDomainInfo_AliasDomains.MatchString(item) {
			return github_com_mwitkow_go_proto_validators.FieldError("AliasDomains", fmt.Errorf(`value '%v' must be a string conforming to regex "^[a-z-]{2,15}\\.(ch|org|ethz\\.ch|vseth\\.ch)$"`, item))
		}
	}
	if !(this.PrimaryMailPriority > 0) {
		return github_com_mwitkow_go_proto_validators.FieldError("PrimaryMailPriority", fmt.Errorf(`value '%v' must be greater than '0'`, this.PrimaryMailPriority))
	}
	if !(this.PrimaryMailPriority < 10) {
		return github_com_mwitkow_go_proto_validators.FieldError("PrimaryMailPriority", fmt.Errorf(`value '%v' must be less than '10'`, this.PrimaryMailPriority))
	}
	return nil
}

var _regex_MailDistributionListResource_Email = regexp.MustCompile(`^[a-z0-9-._]{2,40}@([a-z-]{2,15}\.)?[a-z-]{2,15}\.(ch|org|ethz\.ch|vseth\.ch|swiss)$`)
var _regex_MailDistributionListResource_EmailAliases = regexp.MustCompile(`^[a-z0-9-._]{2,40}@([a-z-]{2,15}\.)?[a-z-]{2,15}\.(ch|org|ethz\.ch|vseth\.ch|swiss)$`)
var _regex_MailDistributionListResource_OrgPrefix = regexp.MustCompile(`^[a-z]{3,9}$`)
var _regex_MailDistributionListResource_EthAdMemberEmails = regexp.MustCompile(`^[a-z0-9-._]{2,40}@([a-z-]{2,15}\.)+[a-z-]{2,5}$`)

func (this *MailDistributionListResource) Validate() error {
	if !(this.Identifier > -1) {
		return github_com_mwitkow_go_proto_validators.FieldError("Identifier", fmt.Errorf(`value '%v' must be greater than '-1'`, this.Identifier))
	}
	if !(this.Identifier < 1000) {
		return github_com_mwitkow_go_proto_validators.FieldError("Identifier", fmt.Errorf(`value '%v' must be less than '1000'`, this.Identifier))
	}
	if !_regex_MailDistributionListResource_Email.MatchString(this.Email) {
		return github_com_mwitkow_go_proto_validators.FieldError("Email", fmt.Errorf(`value '%v' must be a string conforming to regex "^[a-z0-9-._]{2,40}@([a-z-]{2,15}\\.)?[a-z-]{2,15}\\.(ch|org|ethz\\.ch|vseth\\.ch|swiss)$"`, this.Email))
	}
	if len(this.EmailAliases) > 60 {
		return github_com_mwitkow_go_proto_validators.FieldError("EmailAliases", fmt.Errorf(`value '%v' must contain at most 60 elements`, this.EmailAliases))
	}
	for _, item := range this.EmailAliases {
		if !_regex_MailDistributionListResource_EmailAliases.MatchString(item) {
			return github_com_mwitkow_go_proto_validators.FieldError("EmailAliases", fmt.Errorf(`value '%v' must be a string conforming to regex "^[a-z0-9-._]{2,40}@([a-z-]{2,15}\\.)?[a-z-]{2,15}\\.(ch|org|ethz\\.ch|vseth\\.ch|swiss)$"`, item))
		}
	}
	if !_regex_MailDistributionListResource_OrgPrefix.MatchString(this.OrgPrefix) {
		return github_com_mwitkow_go_proto_validators.FieldError("OrgPrefix", fmt.Errorf(`value '%v' must be a string conforming to regex "^[a-z]{3,9}$"`, this.OrgPrefix))
	}
	if _, ok := MailDistributionListResource_DblType_name[int32(this.DblType)]; !ok {
		return github_com_mwitkow_go_proto_validators.FieldError("DblType", fmt.Errorf(`value '%v' must be a valid MailDistributionListResource_DblType field`, this.DblType))
	}
	if len(this.EthAdMemberEmails) > 60 {
		return github_com_mwitkow_go_proto_validators.FieldError("EthAdMemberEmails", fmt.Errorf(`value '%v' must contain at most 60 elements`, this.EthAdMemberEmails))
	}
	for _, item := range this.EthAdMemberEmails {
		if !_regex_MailDistributionListResource_EthAdMemberEmails.MatchString(item) {
			return github_com_mwitkow_go_proto_validators.FieldError("EthAdMemberEmails", fmt.Errorf(`value '%v' must be a string conforming to regex "^[a-z0-9-._]{2,40}@([a-z-]{2,15}\\.)+[a-z-]{2,5}$"`, item))
		}
	}
	return nil
}

var _regex_MailSharedMailboxResource_Email = regexp.MustCompile(`^[a-z0-9-._]{2,40}@([a-z-]{2,15}\.)?[a-z-]{2,15}\.(ch|org|ethz\.ch|vseth\.ch|swiss)$`)
var _regex_MailSharedMailboxResource_EmailAliases = regexp.MustCompile(`^[a-z0-9-._]{2,40}@([a-z-]{2,15}\.)?[a-z-]{2,15}\.(ch|org|ethz\.ch|vseth\.ch|swiss)$`)
var _regex_MailSharedMailboxResource_OrgPrefix = regexp.MustCompile(`^[a-z]{3,9}$`)

func (this *MailSharedMailboxResource) Validate() error {
	if !(this.Identifier > -1) {
		return github_com_mwitkow_go_proto_validators.FieldError("Identifier", fmt.Errorf(`value '%v' must be greater than '-1'`, this.Identifier))
	}
	if !(this.Identifier < 1000) {
		return github_com_mwitkow_go_proto_validators.FieldError("Identifier", fmt.Errorf(`value '%v' must be less than '1000'`, this.Identifier))
	}
	if !_regex_MailSharedMailboxResource_Email.MatchString(this.Email) {
		return github_com_mwitkow_go_proto_validators.FieldError("Email", fmt.Errorf(`value '%v' must be a string conforming to regex "^[a-z0-9-._]{2,40}@([a-z-]{2,15}\\.)?[a-z-]{2,15}\\.(ch|org|ethz\\.ch|vseth\\.ch|swiss)$"`, this.Email))
	}
	if len(this.EmailAliases) > 60 {
		return github_com_mwitkow_go_proto_validators.FieldError("EmailAliases", fmt.Errorf(`value '%v' must contain at most 60 elements`, this.EmailAliases))
	}
	for _, item := range this.EmailAliases {
		if !_regex_MailSharedMailboxResource_EmailAliases.MatchString(item) {
			return github_com_mwitkow_go_proto_validators.FieldError("EmailAliases", fmt.Errorf(`value '%v' must be a string conforming to regex "^[a-z0-9-._]{2,40}@([a-z-]{2,15}\\.)?[a-z-]{2,15}\\.(ch|org|ethz\\.ch|vseth\\.ch|swiss)$"`, item))
		}
	}
	if !_regex_MailSharedMailboxResource_OrgPrefix.MatchString(this.OrgPrefix) {
		return github_com_mwitkow_go_proto_validators.FieldError("OrgPrefix", fmt.Errorf(`value '%v' must be a string conforming to regex "^[a-z]{3,9}$"`, this.OrgPrefix))
	}
	return nil
}

var _regex_MailContactResource_Email = regexp.MustCompile(`^[a-z0-9-._]{2,40}@([a-z-]{2,15}\.)+[a-z-]{2,5}$`)
var _regex_MailContactResource_EmailAliases = regexp.MustCompile(`^[a-z0-9-._]{2,40}@([a-z-]{2,15}\.)+[a-z-]{2,5}$`)
var _regex_MailContactResource_OrgPrefix = regexp.MustCompile(`^[a-z]{3,9}$`)

func (this *MailContactResource) Validate() error {
	if !_regex_MailContactResource_Email.MatchString(this.Email) {
		return github_com_mwitkow_go_proto_validators.FieldError("Email", fmt.Errorf(`value '%v' must be a string conforming to regex "^[a-z0-9-._]{2,40}@([a-z-]{2,15}\\.)+[a-z-]{2,5}$"`, this.Email))
	}
	if len(this.EmailAliases) > 10 {
		return github_com_mwitkow_go_proto_validators.FieldError("EmailAliases", fmt.Errorf(`value '%v' must contain at most 10 elements`, this.EmailAliases))
	}
	for _, item := range this.EmailAliases {
		if !_regex_MailContactResource_EmailAliases.MatchString(item) {
			return github_com_mwitkow_go_proto_validators.FieldError("EmailAliases", fmt.Errorf(`value '%v' must be a string conforming to regex "^[a-z0-9-._]{2,40}@([a-z-]{2,15}\\.)+[a-z-]{2,5}$"`, item))
		}
	}
	if !_regex_MailContactResource_OrgPrefix.MatchString(this.OrgPrefix) {
		return github_com_mwitkow_go_proto_validators.FieldError("OrgPrefix", fmt.Errorf(`value '%v' must be a string conforming to regex "^[a-z]{3,9}$"`, this.OrgPrefix))
	}
	return nil
}
func (this *EthIamGroupResource) Validate() error {
	return nil
}
func (this *SympaMailingListResource) Validate() error {
	return nil
}
func (this *GSuiteSharedDriveResource) Validate() error {
	return nil
}
func (this *ConfluenceSpaceResource) Validate() error {
	return nil
}
func (this *GitlabGroupResource) Validate() error {
	return nil
}
func (this *GroupTagResource) Validate() error {
	return nil
}
func (this *KeycloakClientResource) Validate() error {
	return nil
}
func (this *NASStorageFolderResource) Validate() error {
	return nil
}
func (this *GoogleCalendarResource) Validate() error {
	return nil
}
func (this *OfficeKeyResource) Validate() error {
	return nil
}
func (this *KubernetesPermissionResource) Validate() error {
	return nil
}

var _regex_MailSpecialUserConfigurationsResource_PrimaryEmailAddress = regexp.MustCompile(`^$|^[a-z0-9-._]{2,40}@([a-z-]{2,15}\.)?[a-z-]{2,15}\.(ch|org|ethz\.ch|vseth\.ch|swiss)$`)
var _regex_MailSpecialUserConfigurationsResource_EmailAliases = regexp.MustCompile(`^[a-z0-9-._]{2,40}@([a-z-]{2,15}\.)?[a-z-]{2,15}\.(ch|org|ethz\.ch|vseth\.ch|swiss)$`)

func (this *MailSpecialUserConfigurationsResource) Validate() error {
	if !_regex_MailSpecialUserConfigurationsResource_PrimaryEmailAddress.MatchString(this.PrimaryEmailAddress) {
		return github_com_mwitkow_go_proto_validators.FieldError("PrimaryEmailAddress", fmt.Errorf(`value '%v' must be a string conforming to regex "^$|^[a-z0-9-._]{2,40}@([a-z-]{2,15}\\.)?[a-z-]{2,15}\\.(ch|org|ethz\\.ch|vseth\\.ch|swiss)$"`, this.PrimaryEmailAddress))
	}
	if len(this.EmailAliases) > 60 {
		return github_com_mwitkow_go_proto_validators.FieldError("EmailAliases", fmt.Errorf(`value '%v' must contain at most 60 elements`, this.EmailAliases))
	}
	for _, item := range this.EmailAliases {
		if !_regex_MailSpecialUserConfigurationsResource_EmailAliases.MatchString(item) {
			return github_com_mwitkow_go_proto_validators.FieldError("EmailAliases", fmt.Errorf(`value '%v' must be a string conforming to regex "^[a-z0-9-._]{2,40}@([a-z-]{2,15}\\.)?[a-z-]{2,15}\\.(ch|org|ethz\\.ch|vseth\\.ch|swiss)$"`, item))
		}
	}
	return nil
}
